Index: code/branches/chat/src/orxonox/CMakeLists.txt
===================================================================
--- code/branches/chat/src/orxonox/CMakeLists.txt	(revision 6697)
+++ code/branches/chat/src/orxonox/CMakeLists.txt	(revision 6698)
@@ -32,4 +32,5 @@
   PlayerManager.cc
   Radar.cc
+  ChatHistory.cc
 COMPILATION_BEGIN SceneCompilation.cc
   CameraManager.cc
Index: code/branches/chat/src/orxonox/ChatHistory.cc
===================================================================
--- code/branches/chat/src/orxonox/ChatHistory.cc	(revision 6697)
+++ code/branches/chat/src/orxonox/ChatHistory.cc	(revision 6698)
@@ -28,12 +28,15 @@
 
 #include "ChatHistory.h"
+#include "core/ScopedSingletonManager.h"
 
-#ifndef TEST
+#ifndef CHATTEST
 namespace orxonox
 {
+  /* singleton */
+  ManageScopedSingleton( ChatHistory, ScopeID::Root, false );
 #endif
 
   /* constructor */
-#ifndef TEST
+#ifndef CHATTEST
   ChatHistory(BaseObject* creator) : BaseObject(creator) 
 #else
@@ -42,5 +45,5 @@
   {
     /* register the object */
-#ifndef TEST
+#ifndef CHATTEST
     RegisterObject(ChatHistory);
 #endif
@@ -55,4 +58,6 @@
       this->chat_hist_logline( "--- Logfile opened ---" );
     }
+
+    assert(0);
 
     /* Read setting for maximum number of lines and set limit */
@@ -76,5 +81,7 @@
     std::string text;
 
-#ifndef TEST
+    COUT(0) << "Meow.\n";
+
+#ifndef CHATTEST
     if (senderID != CLIENTID_UNKNOWN)
     {
@@ -104,4 +111,5 @@
     //if( this->hist_logfile )
       //this->hist_logfile.sync();
+    return 0;
   }
 
@@ -115,4 +123,5 @@
     /* push to the front of the history */
     this->hist_buffer.push_back( toadd );
+    return 0;
   }
 
@@ -123,4 +132,5 @@
     if( this->hist_log_enabled )
       this->hist_logfile << toadd << std::endl;
+    return 0;
   }
 
@@ -131,5 +141,5 @@
      *       and set the this->hist_logfile_path variable to it
      */
-#ifndef TEST
+#ifndef CHATTEST
     this->hist_logfile.open( PathConfig::getInstance().getLogPathString() +
       "chatlog.log",
@@ -143,5 +153,5 @@
     if( !this->hist_logfile )
     { this->hist_log_enabled = false;
-#ifndef TEST
+#ifndef CHATTEST
       COUT(2) << "Warning: Could not open logfile." << std::endl;
 #endif
@@ -176,5 +186,5 @@
   }
 
-#ifndef TEST
+#ifndef CHATTEST
 }
 #endif
Index: code/branches/chat/src/orxonox/ChatHistory.h
===================================================================
--- code/branches/chat/src/orxonox/ChatHistory.h	(revision 6697)
+++ code/branches/chat/src/orxonox/ChatHistory.h	(revision 6698)
@@ -31,11 +31,13 @@
 #include <fstream>
 #include <iostream>
+#include <cassert>
 
 /* define this if you're unit testing */
-#define TEST 1
+#define CHATTEST 0
 
-#ifndef TEST
+#ifndef CHATTEST
 #include <core/BaseObject.h>
 #include <core/PathConfig.h>
+#include <Singleton.h>
 #endif
 
@@ -45,5 +47,5 @@
 
 /* Class to implement chat history */
-#ifndef TEST
+#ifndef CHATTEST
 namespace orxonox
 {
@@ -51,6 +53,8 @@
 
   /* constructor */
-#ifndef TEST
-  class _OrxonoxExport ChatHistory : public BaseObject, public ChatListener
+#ifndef CHATTEST
+  class _OrxonoxExport ChatHistory : public BaseObject, public ChatListener,
+    public Singleton<ChatHistory>
+
 #else
   class ChatHistory 
@@ -59,6 +63,7 @@
     public:
       /* constructors, destructors */
-#ifndef TEST
+#ifndef CHATTEST
       ChatHistory(BaseObject* creator);
+      friend class Singleton<ChatHistory>;
 #else
       ChatHistory();
@@ -102,4 +107,7 @@
       std::ofstream hist_logfile;
 
+#ifndef CHATTEST
+      static ChatHistory* singletonPtr_s;
+#endif
 
 
@@ -131,5 +139,5 @@
   };
 
-#ifndef TEST
+#ifndef CHATTEST
 }
 #endif
Index: code/branches/chat/src/orxonox/graphics/CMakeLists.txt
===================================================================
--- code/branches/chat/src/orxonox/graphics/CMakeLists.txt	(revision 6697)
+++ code/branches/chat/src/orxonox/graphics/CMakeLists.txt	(revision 6698)
@@ -2,5 +2,4 @@
   Billboard.cc
   BlinkingBillboard.cc
-  ChatBox.cc
   FadingBillboard.cc
   GlobalShader.cc