Index: trunk/src/world_entities/playable.cc
===================================================================
--- trunk/src/world_entities/playable.cc	(revision 6696)
+++ trunk/src/world_entities/playable.cc	(revision 6700)
@@ -22,4 +22,6 @@
 #include "state.h"
 
+#include "world_entities/projectiles/projectile.h"
+
 #include "power_ups/weapon_power_up.h"
 #include "power_ups/param_power_up.h"
@@ -97,8 +99,8 @@
 {
   if (entity->isA(CL_PROJECTILE))
-    this->removeEnergy(entity->getEnergy());
+    this->decreaseHealth(entity->getHealth());
 
   // EXTREME HACK
-  if (this->getEnergy() == 0.0f)
+  if (this->getHealth() == 0.0f)
     this->deactivateNode();
 }
@@ -166,8 +168,8 @@
     switch(ppu->getType()) {
       case POWERUP_PARAM_HEALTH:
-        this->addEnergy(ppu->getValue());
+        this->increaseHealth(ppu->getValue());
         return true;
       case POWERUP_PARAM_MAX_HEALTH:
-        this->setMaxEnergy(this->getMaxEnergy() + ppu->getValue());
+        this->increaseHealthMax(ppu->getValue());
         return true;
     }
Index: trunk/src/world_entities/player.cc
===================================================================
--- trunk/src/world_entities/player.cc	(revision 6696)
+++ trunk/src/world_entities/player.cc	(revision 6700)
@@ -58,5 +58,5 @@
   {
       this->controllable = controllable;
-      this->hud.setEnergyWidget(this->controllable->getEnergyWidget());
+      this->hud.setEnergyWidget(this->controllable->getHealthWidget());
       this->hud.setWeaponManager(this->controllable->getWeaponManager());
       return true;
Index: trunk/src/world_entities/projectiles/bomb.cc
===================================================================
--- trunk/src/world_entities/projectiles/bomb.cc	(revision 6696)
+++ trunk/src/world_entities/projectiles/bomb.cc	(revision 6700)
@@ -46,5 +46,5 @@
 
   this->setMinEnergy(1);
-  this->setMaxEnergy(10);
+  this->setHealthMax(10);
 
   this->lifeSpan = 15;
Index: trunk/src/world_entities/projectiles/guided_missile.cc
===================================================================
--- trunk/src/world_entities/projectiles/guided_missile.cc	(revision 6696)
+++ trunk/src/world_entities/projectiles/guided_missile.cc	(revision 6700)
@@ -41,5 +41,5 @@
 
   this->setMinEnergy(1);
-  this->setMaxEnergy(10);
+  this->setHealthMax(10);
   this->lifeSpan = 10.0;
   this->agility = 5;
Index: trunk/src/world_entities/projectiles/laser.cc
===================================================================
--- trunk/src/world_entities/projectiles/laser.cc	(revision 6696)
+++ trunk/src/world_entities/projectiles/laser.cc	(revision 6700)
@@ -47,5 +47,5 @@
 
   this->setMinEnergy(1);
-  this->setMaxEnergy(10);
+  this->setHealthMax(10);
   this->lifeSpan = 5.0;
 
Index: trunk/src/world_entities/projectiles/rocket.cc
===================================================================
--- trunk/src/world_entities/projectiles/rocket.cc	(revision 6696)
+++ trunk/src/world_entities/projectiles/rocket.cc	(revision 6700)
@@ -42,5 +42,5 @@
 
   this->setMinEnergy(1);
-  this->setMaxEnergy(10);
+  this->setHealthMax(10);
   this->lifeSpan = 5;
 
Index: trunk/src/world_entities/projectiles/test_bullet.cc
===================================================================
--- trunk/src/world_entities/projectiles/test_bullet.cc	(revision 6696)
+++ trunk/src/world_entities/projectiles/test_bullet.cc	(revision 6700)
@@ -42,5 +42,5 @@
 
   this->setMinEnergy(1);
-  this->setMaxEnergy(10);
+  this->setHealthMax(10);
   this->lifeSpan = 2;
 
Index: trunk/src/world_entities/space_ships/space_ship.cc
===================================================================
--- trunk/src/world_entities/space_ships/space_ship.cc	(revision 6696)
+++ trunk/src/world_entities/space_ships/space_ship.cc	(revision 6700)
@@ -143,6 +143,6 @@
 //  cycle = 0.0;
 
-  this->setMaxEnergy(100);
-  this->setEnergy(80);
+  this->setHealthMax(100);
+  this->setHealth(80);
 
   travelSpeed = 40.0;
Index: trunk/src/world_entities/weapons/weapon.cc
===================================================================
--- trunk/src/world_entities/weapons/weapon.cc	(revision 6696)
+++ trunk/src/world_entities/weapons/weapon.cc	(revision 6700)
@@ -150,5 +150,5 @@
     Projectile* pj = dynamic_cast<Projectile*>(this->projectileFactory->resurrect());
     this->minCharge = pj->getMinEnergy();
-    this->maxCharge = pj->getMaxEnergy();
+    this->maxCharge = pj->getHealthMax();
     this->chargeable = pj->isChageable();
     this->projectileFactory->kill(pj);
Index: trunk/src/world_entities/world_entity.cc
===================================================================
--- trunk/src/world_entities/world_entity.cc	(revision 6696)
+++ trunk/src/world_entities/world_entity.cc	(revision 6700)
@@ -51,7 +51,7 @@
 
   this->obbTree = NULL;
-  this->energyWidget = NULL;
-  this->energyMax = 1.0f;
-  this->energy = 1.0f;
+  this->healthWidget = NULL;
+  this->healthMax = 1.0f;
+  this->health = 1.0f;
   this->scaling = 1.0f;
 
@@ -77,6 +77,6 @@
     delete this->obbTree;
 
-  if (this->energyWidget != NULL)
-    delete this->energyWidget;
+  if (this->healthWidget != NULL)
+    delete this->healthWidget;
 
   // Delete the model (unregister it with the ResourceManager)
@@ -105,10 +105,10 @@
   .defaultValues(3, NULL, 1.0f, 0);
 
-  LoadParam(root, "maxEnergy", this, WorldEntity, setMaxEnergy)
-  .describe("The Maximum energy that can be loaded onto this entity")
+  LoadParam(root, "maxHealth", this, WorldEntity, setHealthMax)
+  .describe("The Maximum health that can be loaded onto this entity")
   .defaultValues(1, 1.0f);
 
-  LoadParam(root, "energy", this, WorldEntity, setEnergy)
-  .describe("The Energy the WorldEntity has at this moment")
+  LoadParam(root, "health", this, WorldEntity, setHealth)
+  .describe("The Health the WorldEntity has at this moment")
   .defaultValues(1, 1.0f);
 }
@@ -343,37 +343,37 @@
 
 /**
- * @param energy the Energy to add.
- * @returns the energy left (this->energyMax - energy+this->energy)
- */
-float WorldEntity::addEnergy(float energy)
-{
-  this->energy += energy;
-  if (this->energy > this->energyMax)
-  {
-    float retEnergy = this->energyMax - this->energy;
-    this->energy = this->energyMax;
-    this->updateEnergyWidget();
-    return retEnergy;
-  }
-  this->updateEnergyWidget();
+ * @param health the Health to add.
+ * @returns the health left (this->healthMax - health+this->health)
+ */
+float WorldEntity::increaseHealth(float health)
+{
+  this->health += health;
+  if (this->health > this->healthMax)
+  {
+    float retHealth = this->healthMax - this->health;
+    this->health = this->healthMax;
+    this->updateHealthWidget();
+    return retHealth;
+  }
+  this->updateHealthWidget();
   return 0.0;
 }
 
 /**
- * @param energy the Energy to be removed
+ * @param health the Health to be removed
  * @returns 0.0 or the rest, that was not substracted (bellow 0.0)
  */
-float WorldEntity::removeEnergy(float energy)
-{
-  this->energy -= energy;
-
-  if (this->energy < 0)
-  {
-    float retEnergy = -this->energy;
-    this->energy = 0.0f;
-    this->updateEnergyWidget();
-    return retEnergy;
-  }
-  this->updateEnergyWidget();
+float WorldEntity::decreaseHealth(float health)
+{
+  this->health -= health;
+
+  if (this->health < 0)
+  {
+    float retHealth = -this->health;
+    this->health = 0.0f;
+    this->updateHealthWidget();
+    return retHealth;
+  }
+  this->updateHealthWidget();
   return 0.0;
 
@@ -381,72 +381,79 @@
 
 /**
- * @param maxEnergy the maximal energy that can be loaded onto the entity.
- */
-void WorldEntity::setMaxEnergy(float maxEnergy)
-{
-  this->energyMax = maxEnergy;
-  if (this->energy > this->energyMax)
-  {
-    PRINTF(3)("new maxEnergy is bigger as the old energy. Did you really intend to do this for (%s::%s)\n", this->getClassName(), this->getName());
-    this->energy = this->energyMax;
-  }
-  this->updateEnergyWidget();
-}
-
-/**
- * @brief creates the EnergyWidget
- *
- * since not all entities need an EnergyWidget, it is only created on request.
- */
-void WorldEntity::createEnergyWidget()
-{
-  if (this->energyWidget == NULL)
-  {
-    this->energyWidget = new GLGuiBar();
-    this->energyWidget->setSize2D(30,400);
-    this->energyWidget->setAbsCoor2D(10,100);
-
-    this->updateEnergyWidget();
+ * @param maxHealth the maximal health that can be loaded onto the entity.
+ */
+void WorldEntity::setHealthMax(float healthMax)
+{
+  this->healthMax = healthMax;
+  if (this->health > this->healthMax)
+  {
+    PRINTF(3)("new maxHealth is bigger as the old health. Did you really intend to do this for (%s::%s)\n", this->getClassName(), this->getName());
+    this->health = this->healthMax;
+  }
+  this->updateHealthWidget();
+}
+
+/**
+ * @brief creates the HealthWidget
+ *
+ * since not all entities need an HealthWidget, it is only created on request.
+ */
+void WorldEntity::createHealthWidget()
+{
+  if (this->healthWidget == NULL)
+  {
+    this->healthWidget = new GLGuiBar();
+    this->healthWidget->setSize2D(30,400);
+    this->healthWidget->setAbsCoor2D(10,100);
+
+    this->updateHealthWidget();
   }
   else
-    PRINTF(3)("Allready created the EnergyWidget for %s::%s\n", this->getClassName(), this->getName());
-}
-
-GLGuiWidget* WorldEntity::getEnergyWidget()
-{
-  this->createEnergyWidget();
-  return this->energyWidget;
-}
-
-/**
- * @param visibility shows or hides the energy-bar
+    PRINTF(3)("Allready created the HealthWidget for %s::%s\n", this->getClassName(), this->getName());
+}
+
+void WorldEntity::increaseHealthMax(float increaseHealth)
+{
+  this->healthMax += increaseHealth;
+  this->updateHealthWidget();
+}
+
+
+GLGuiWidget* WorldEntity::getHealthWidget()
+{
+  this->createHealthWidget();
+  return this->healthWidget;
+}
+
+/**
+ * @param visibility shows or hides the health-bar
  * (creates the widget if needed)
  */
-void WorldEntity::setEnergyWidgetVisibilit(bool visibility)
+void WorldEntity::setHealthWidgetVisibilit(bool visibility)
 {
     if (visibility)
     {
-      if (this->energyWidget != NULL)
-        this->energyWidget->show();
+      if (this->healthWidget != NULL)
+        this->healthWidget->show();
       else
       {
-        this->createEnergyWidget();
-        this->updateEnergyWidget();
-        this->energyWidget->show();
+        this->createHealthWidget();
+        this->updateHealthWidget();
+        this->healthWidget->show();
       }
     }
-    else if (this->energyWidget != NULL)
-      this->energyWidget->hide();
-}
-
-/**
- * @brief updates the EnergyWidget
- */
-void WorldEntity::updateEnergyWidget()
-{
-  if (this->energyWidget != NULL)
-  {
-    this->energyWidget->setMaximum(this->energyMax);
-    this->energyWidget->setValue(this->energy);
+    else if (this->healthWidget != NULL)
+      this->healthWidget->hide();
+}
+
+/**
+ * @brief updates the HealthWidget
+ */
+void WorldEntity::updateHealthWidget()
+{
+  if (this->healthWidget != NULL)
+  {
+    this->healthWidget->setMaximum(this->healthMax);
+    this->healthWidget->setValue(this->health);
   }
 }
Index: trunk/src/world_entities/world_entity.h
===================================================================
--- trunk/src/world_entities/world_entity.h	(revision 6696)
+++ trunk/src/world_entities/world_entity.h	(revision 6700)
@@ -87,25 +87,26 @@
 
   /** @returns the Energy of the entity */
-  float getEnergy() const { return this->energy; };
+  float getHealth() const { return this->health; };
   /** @returns the Maximum energy this entity can be charged with */
-  float getMaxEnergy() const { return this->energyMax; }
-  float addEnergy(float energy);
-  float removeEnergy(float energy);
-  void setMaxEnergy(float maxEnergy);
-  GLGuiWidget* getEnergyWidget();
+  float getHealthMax() const { return this->healthMax; }
+  float increaseHealth(float health);
+  float decreaseHealth(float health);
+  void increaseHealthMax(float increaseHealth);
+  GLGuiWidget* getHealthWidget();
 
 protected:
-  void setEnergy(float energy) { this->energy = energy; };
-  void setEnergyWidgetVisibilit(bool visibility);
-  void createEnergyWidget();
+  void setHealth(float health) { this->health = health; };
+  void setHealthWidgetVisibilit(bool visibility);
+  void setHealthMax(float healthMax);
+  void createHealthWidget();
   //  CharacterAttributes*    charAttr;         //!< the character attributes of a world_entity
 private:
-  void updateEnergyWidget();
+  void updateHealthWidget();
 
 private:
   /// TODO maybe we will move the following three entries and the corresponding functions to Playable AND NPC
-  float                   energy;             //!< The Energy of this Entity, if the Entity has any energy at all.
-  float                   energyMax;          //!< The Maximal energy this entity can take.
-  GLGuiBar*               energyWidget;       //!< The Slider (if wanted).
+  float                   health;             //!< The Energy of this Entity, if the Entity has any energy at all.
+  float                   healthMax;          //!< The Maximal energy this entity can take.
+  GLGuiBar*               healthWidget;       //!< The Slider (if wanted).
 
   std::vector<Model*>     models;             //!< The model that should be loaded for this entity.