Index: code/branches/pickup4/data/levels/includes/pickups.oxi
===================================================================
--- code/branches/pickup4/data/levels/includes/pickups.oxi	(revision 6675)
+++ code/branches/pickup4/data/levels/includes/pickups.oxi	(revision 6701)
@@ -2,4 +2,5 @@
     pickupName = "Small Health Boost"
     pickupDescription = "Adds a small amout of health to the ship."
+    inventoryRepresentation = "SmallHealth"
     spawnerTemplate = "smallhealthpickupRepresentation"
 >
@@ -13,4 +14,5 @@
     pickupDescription = "Adds a medium amout of health to the ship."
     spawnerTemplate = "mediumhealthpickupRepresentation"
+    inventoryRepresentation = "MediumHealth"
 >
     <pickup>
@@ -23,4 +25,5 @@
     pickupDescription = "Adds a huge amout of health to the ship."
     spawnerTemplate = "hugehealthpickupRepresentation"
+    inventoryRepresentation = "HugeHealth"
 >
     <pickup>
@@ -33,4 +36,5 @@
     pickupDescription = "Adds a crazy amout of health to the ship."
     spawnerTemplate = "crazyhealthpickupRepresentation"
+    inventoryRepresentation = "CrazyMadnessHealth"
 >
     <pickup>
@@ -48,2 +52,40 @@
     </pickup>
 </PickupRepresentation>
+
+<PickupRepresentation
+    pickupName = "Use Pickup"
+    pickupDescription = "Uses all pickups you have."
+    spawnerTemplate = "usepickupRepresentation"
+    inventoryRepresentation = "usePickup"
+>
+    <pickup>
+        <MetaPickup metaType="use" />
+    </pickup>
+</PickupRepresentation>
+
+<PickupRepresentation
+    pickupName = "Drop Pickup"
+    pickupDescription = "Drops all pickups you have."
+    spawnerTemplate = "droppickupRepresentation"
+    inventoryRepresentation = "dropPickup"
+>
+    <pickup>
+        <MetaPickup metaType="drop" />
+    </pickup>
+</PickupRepresentation>
+
+<PickupRepresentation
+    pickupName = "Huge Health Boost"
+    pickupDescription = "Adds a huge amout of health to the ship."
+    spawnerTemplate = "hugehealthpickupRepresentation"
+    inventoryRepresentation = "HugeHealth"
+>
+    <pickup>
+          <HealthPickup
+    health = 100
+    healthType = "limited"
+    activationType = "onUse"
+    durationType = "once"
+  />
+    </pickup>
+</PickupRepresentation>
Index: code/branches/pickup4/data/levels/pickup.oxw
===================================================================
--- code/branches/pickup4/data/levels/pickup.oxw	(revision 6675)
+++ code/branches/pickup4/data/levels/pickup.oxw	(revision 6701)
@@ -41,10 +41,4 @@
     </PickupSpawner>
     
-    <PickupSpawner position="-50,0,-125" triggerDistance="10" respawnTime="30" maxSpawnedItems="10">
-        <pickup>
-            <HealthPickup health=50 healthRate=5 durationType=continuous activationType=onUse healthType=permanent />
-        </pickup>
-    </PickupSpawner>
-    
     <PickupSpawner position="-25,0,-100" triggerDistance="10" respawnTime="30" maxSpawnedItems="10">
         <pickup>
@@ -77,9 +71,14 @@
     </PickupSpawner>
 
-    <!--PickupSpawner position="100,100,100" triggerDistance="10" respawnTime="30" maxSpawnedItems="10">
+    <PickupSpawner position="100,0,-100" triggerDistance="10" respawnTime="30" maxSpawnedItems="10">
         <pickup>
-            <HealthPickup health=50 healthRate=5 durationType=continuous activationType=immediate healthType=limited />
+              <HealthPickup
+    health = 100
+    healthType = "limited"
+    activationType = "onUse"
+    durationType = "once"
+  />
         </pickup>
-    </PickupSpawner-->
+    </PickupSpawner>
 
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
Index: code/branches/pickup4/data/levels/templates/pickup_representation_templates.oxt
===================================================================
--- code/branches/pickup4/data/levels/templates/pickup_representation_templates.oxt	(revision 6675)
+++ code/branches/pickup4/data/levels/templates/pickup_representation_templates.oxt	(revision 6701)
@@ -107,3 +107,35 @@
     </PickupCollection>
 </Template>
+
+<Template name=usepickupRepresentation>
+    <PickupRepresentation>
+        <spawner-representation>
+            <StaticEntity>
+                <attached>
+                    <Billboard position="0,0,0" colour="0.60,0.97,0.23" material="Sphere2" scale=0.1>
+                        <attached>
+                            <Billboard position="0,0,0" colour="0.40,0.81,0.10" material="Arrow" scale=0.65 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+<Template name=droppickupRepresentation>
+    <PickupRepresentation>
+        <spawner-representation>
+            <StaticEntity>
+                <attached>
+                    <Billboard position="0,0,0" colour="0.95,0.10,0.05" material="Sphere2" scale=0.1>
+                        <attached>
+                            <Billboard position="0,0,0" colour="0.95,0.20,0.10" material="Arrow" scale=0.65 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
     