Index: code/branches/ppspickups1/src/modules/pickup/Pickup.cc
===================================================================
--- code/branches/ppspickups1/src/modules/pickup/Pickup.cc	(revision 6704)
+++ code/branches/ppspickups1/src/modules/pickup/Pickup.cc	(revision 6705)
@@ -236,5 +236,11 @@
     /**
     @brief
-        Starts the Pickup duration Timer.
+        Starts the pickup duration timer.
+        After the specified durationTime has expired the function pickupTimerCallback is called.
+        pickupTimerCallback can be overloaded and thus the desired functionality can be implemented.
+    @param durationTime
+        The duration after which the expires and the callback function is called.
+    @return
+        Returns true if the pickup duration timer was started successfully, false if not.
     */
     bool Pickup::startPickupTimer(float durationTime)
@@ -245,10 +251,10 @@
             return false;
         }
-        if (false) /* TODO: Check if Timer is already running */
+        if (this->durationTimer_.isActive()) //!< Check if Timer is already running
         {
             COUT(1) << "Pickup durationTimer already in use." << std::endl;
             return false;
         }
-        this->durationTimer_.setTimer(durationTime, false, createExecutor(createFunctor(&Pickup::PickupTimerCallBack, this)));
+        this->durationTimer_.setTimer(durationTime, false, createExecutor(createFunctor(&Pickup::pickupTimerCallback, this)));
         return true;
     }
Index: code/branches/ppspickups1/src/modules/pickup/Pickup.h
===================================================================
--- code/branches/ppspickups1/src/modules/pickup/Pickup.h	(revision 6704)
+++ code/branches/ppspickups1/src/modules/pickup/Pickup.h	(revision 6705)
@@ -137,5 +137,5 @@
             bool startPickupTimer(float durationTime);
 
-            virtual void PickupTimerCallBack(void) {}
+            virtual void pickupTimerCallback(void) {}
 
             /**
@@ -157,4 +157,7 @@
         private:
             void initialize(void); //!< Initializes the member variables.
+            
+            //TODO: Problems, when there are more Timers needed? Solutions?
+            Timer durationTimer_; //!< Timer at the disposal of each Class implementing Pickup.
 
             pickupActivationType::Value activationType_; //!< The activation type of the Pickup.
@@ -165,7 +168,4 @@
             static const std::string durationTypeOnce_s;
             static const std::string durationTypeContinuous_s;
-
-            float durationTime_;
-            Timer durationTimer_;
     };
 
Index: code/branches/ppspickups1/src/modules/pickup/items/SpeedPickup.h
===================================================================
--- code/branches/ppspickups1/src/modules/pickup/items/SpeedPickup.h	(revision 6704)
+++ code/branches/ppspickups1/src/modules/pickup/items/SpeedPickup.h	(revision 6705)
@@ -94,3 +94,3 @@
 }
 
-#endif // _HealthPickup_H__
+#endif // _SpeedPickup_H__
Index: code/branches/ppspickups1/src/orxonox/items/Engine.h
===================================================================
--- code/branches/ppspickups1/src/orxonox/items/Engine.h	(revision 6704)
+++ code/branches/ppspickups1/src/orxonox/items/Engine.h	(revision 6705)
@@ -115,5 +115,5 @@
             virtual const Vector3& getCarrierPosition(void);
 
-            /* Should not be here */
+            //TODO: Move to protected or private. How?
             inline void setSpeedAdd(float speedAdd)
                 { this->speedAdd_=speedAdd; }
Index: code/branches/ppspickups1/src/orxonox/worldentities/pawns/SpaceShip.cc
===================================================================
--- code/branches/ppspickups1/src/orxonox/worldentities/pawns/SpaceShip.cc	(revision 6704)
+++ code/branches/ppspickups1/src/orxonox/worldentities/pawns/SpaceShip.cc	(revision 6705)
@@ -224,5 +224,5 @@
     {
         std::list<PickupCarrier*>* list = new std::list<PickupCarrier*>();
-        list->push_front(engine_);
+        list->push_front(this->engine_);
         return list;
     }