Index: code/trunk/data/levels/includes/pickups.oxi
===================================================================
--- code/trunk/data/levels/includes/pickups.oxi	(revision 6711)
+++ code/trunk/data/levels/includes/pickups.oxi	(revision 6712)
@@ -1,2 +1,5 @@
+
+<!-- Health pickups -->
+
 <PickupRepresentation
     pickupName = "Small Health Boost"
@@ -43,13 +46,5 @@
 </PickupRepresentation>
 
-<PickupRepresentation
-    pickupName = "Double Pickup"
-    pickupDescription = "Does stuff."
-    spawnerTemplate = "crazyhealthpickupRepresentation"
->
-    <pickup>
-        <PickupCollection template=doublepickup />
-    </pickup>
-</PickupRepresentation>
+<!-- Meta pickups -->
 
 <PickupRepresentation
@@ -75,17 +70,88 @@
 </PickupRepresentation>
 
+<!-- Speed pickups -->
+
 <PickupRepresentation
-    pickupName = "Huge Health Boost"
-    pickupDescription = "Adds a huge amout of health to the ship."
-    spawnerTemplate = "hugehealthpickupRepresentation"
-    inventoryRepresentation = "HugeHealth"
+    name = "Small Speed Boost"
+    description = "Multiplies Speed of the Ship by a small amount."
+    spawnerTemplate = "smallspeedpickupRepresentation"
 >
     <pickup>
-          <HealthPickup
-    health = 100
-    healthType = "limited"
-    activationType = "onUse"
-    durationType = "once"
-  />
+        <SpeedPickup template=smallspeedpickup />
     </pickup>
 </PickupRepresentation>
+
+<PickupRepresentation
+    name = "Medium Speed Boost"
+    description = "Multiplies Speed of the Ship by a bigger amount."
+    spawnerTemplate = "mediumspeedpickupRepresentation"
+>
+    <pickup>
+        <SpeedPickup template=mediumspeedpickup />
+    </pickup>
+</PickupRepresentation>
+
+<PickupRepresentation
+    name = "Huge Speed Boost"
+    description = "Multiplies Speed of the Ship by a huge amount."
+    spawnerTemplate = "hugespeedpickupRepresentation"
+>
+    <pickup>
+        <SpeedPickup template=hugespeedpickup />
+    </pickup>
+</PickupRepresentation>
+
+<PickupRepresentation
+    name = "Small Jump Boost"
+    description = "Boosts the Ship with a massive amount for a very short time."
+    spawnerTemplate = "smalljumppickupRepresentation"
+>
+    <pickup>
+        <SpeedPickup template=smalljumppickup />
+    </pickup>
+</PickupRepresentation>
+
+<!-- Invisible pickups -->
+
+<PickupRepresentation
+    name = "small Invisibility"
+    description = "Makes you invisible for 5 seconds."
+    spawnerTemplate = "smallinvisiblepickupRepresentation"
+>
+    <pickup>
+        <InvisiblePickup template=smallinvisiblepickup />
+    </pickup>
+</PickupRepresentation>
+
+<PickupRepresentation
+    name = "medium Invisibility"
+    description = "Makes you invisible for 10 seconds."
+    spawnerTemplate = "mediuminvisiblepickupRepresentation"
+>
+    <pickup>
+        <InvisiblePickup template=mediuminvisiblepickup />
+    </pickup>
+</PickupRepresentation>
+
+<PickupRepresentation
+    name = "hunge Invisibility"
+    description = "Makes you invisible for 20 seconds."
+    spawnerTemplate = "hugeinvisiblepickupRepresentation"
+>
+    <pickup>
+        <InvisiblePickup template=hugeinvisiblepickup />
+    </pickup>
+</PickupRepresentation>
+
+<!-- Pickup Collection pickups -->
+
+<PickupRepresentation
+    pickupName = "Triple Pickup"
+    pickupDescription = "Adds health, speed and invisibility."
+    spawnerTemplate = "triplehealthspeedinvisibilitypickupRepresentation"
+>
+    <pickup>
+        <PickupCollection template=triplehealthspeedinvisibilitypickup />
+    </pickup>
+</PickupRepresentation>
+
Index: code/trunk/data/levels/includes/pickups_invisible.oxi
===================================================================
--- code/trunk/data/levels/includes/pickups_invisible.oxi	(revision 6711)
+++ 	(revision )
@@ -1,29 +1,0 @@
-<PickupRepresentation
-    name = "small Invisibility"
-    description = "Makes you invisible for 5 seconds."
-    spawnerTemplate = "smallinvisiblepickupRepresentation"
->
-    <pickup>
-        <InvisiblePickup template=smallinvisiblepickup />
-    </pickup>
-</PickupRepresentation>
-
-<PickupRepresentation
-    name = "medium Invisibility"
-    description = "Makes you invisible for 10 seconds."
-    spawnerTemplate = "mediuminvisiblepickupRepresentation"
->
-    <pickup>
-        <InvisiblePickup template=mediuminvisiblepickup />
-    </pickup>
-</PickupRepresentation>
-
-<PickupRepresentation
-    name = "hunge Invisibility"
-    description = "Makes you invisible for 20 seconds."
-    spawnerTemplate = "hugeinvisiblepickupRepresentation"
->
-    <pickup>
-        <InvisiblePickup template=hugeinvisiblepickup />
-    </pickup>
-</PickupRepresentation>
Index: code/trunk/data/levels/includes/pickups_speed.oxi
===================================================================
--- code/trunk/data/levels/includes/pickups_speed.oxi	(revision 6711)
+++ 	(revision )
@@ -1,42 +1,0 @@
-<PickupRepresentation
-    name = "Small Speed Boost"
-    description = "Multiplies Speed of the Ship with a small
-amount."
-    spawnerTemplate = "smallspeedpickupRepresentation"
->
-    <pickup>
-        <SpeedPickup template=smallspeedpickup />
-    </pickup>
-</PickupRepresentation>
-
-<PickupRepresentation
-    name = "Medium Speed Boost"
-    description = "Multiplies Speed of the Ship with a bigger
-amount."
-    spawnerTemplate = "mediumspeedpickupRepresentation"
->
-    <pickup>
-        <SpeedPickup template=mediumspeedpickup />
-    </pickup>
-</PickupRepresentation>
-
-<PickupRepresentation
-    name = "Huge Speed Boost"
-    description = "Multiplies Speed of the Ship with a huge
-amount."
-    spawnerTemplate = "hugespeedpickupRepresentation"
->
-    <pickup>
-        <SpeedPickup template=hugespeedpickup />
-    </pickup>
-</PickupRepresentation>
-
-<PickupRepresentation
-    name = "Small Jump Boost"
-    description = "Boosts the Ship with a massive amount for a very short time."
-    spawnerTemplate = "smalljumppickupRepresentation"
->
-    <pickup>
-        <SpeedPickup template=smalljumppickup />
-    </pickup>
-</PickupRepresentation>
Index: code/trunk/data/levels/pickup.oxw
===================================================================
--- code/trunk/data/levels/pickup.oxw	(revision 6711)
+++ code/trunk/data/levels/pickup.oxw	(revision 6712)
@@ -23,21 +23,8 @@
 ?>
     
-    <PickupSpawner position="-100,0,-100" triggerDistance="10" respawnTime="30" maxSpawnedItems="10">
-        <pickup>
-            <MetaPickup metaType="drop" />
-        </pickup>
-    </PickupSpawner>
-    
-    <PickupSpawner position="-75,0,-100" triggerDistance="10" respawnTime="30" maxSpawnedItems="10">
-        <pickup>
-            <MetaPickup metaType="use" />
-        </pickup>
-    </PickupSpawner>
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
+    <SpawnPoint position="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
 
-    <PickupSpawner position="-50,0,-100" triggerDistance="10" respawnTime="30" maxSpawnedItems="10">
-        <pickup>
-            <HealthPickup health=50 healthRate=5 durationType=continuous activationType=onUse healthType=permanent />
-        </pickup>
-    </PickupSpawner>
+    <!-- Health pickups -->
     
     <PickupSpawner position="-25,0,-100" triggerDistance="10" respawnTime="30" maxSpawnedItems="10">
@@ -65,23 +52,72 @@
     </PickupSpawner>
     
-    <PickupSpawner position="75,0,-100" triggerDistance="10" respawnTime="30" maxSpawnedItems="10">
+    <!-- Speed pickups -->
+    
+    <PickupSpawner position="-25,25,-100" triggerDistance="10" respawnTime="10" maxSpawnedItems="99">
         <pickup>
-            <PickupCollection template=doublepickup />
+            <SpeedPickup template=smallspeedpickup />
         </pickup>
     </PickupSpawner>
 
-    <PickupSpawner position="100,0,-100" triggerDistance="10" respawnTime="30" maxSpawnedItems="10">
+    <PickupSpawner position="0,25,-100" triggerDistance="10" respawnTime="10" maxSpawnedItems="99">
         <pickup>
-              <HealthPickup
-    health = 100
-    healthType = "limited"
-    activationType = "onUse"
-    durationType = "once"
-  />
+            <SpeedPickup template=mediumspeedpickup />
         </pickup>
     </PickupSpawner>
 
-    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
-    <SpawnPoint position="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+    <PickupSpawner position="25,25,-100" triggerDistance="10" respawnTime="10" maxSpawnedItems="99">
+        <pickup>
+            <SpeedPickup template=hugespeedpickup />
+        </pickup>
+    </PickupSpawner>
+
+    <PickupSpawner position="50,25,-100" triggerDistance="10" respawnTime="10" maxSpawnedItems="99">
+        <pickup>
+            <SpeedPickup template=smalljumppickup />
+        </pickup>
+    </PickupSpawner>
+    
+    <!-- Invisible pickups -->
+    
+    <PickupSpawner position="-25,50,-100" triggerDistance="10" respawnTime="5" maxSpawnedItems="10">
+        <pickup>
+            <InvisiblePickup template=smallinvisiblepickup />
+        </pickup>
+    </PickupSpawner>
+
+    <PickupSpawner position="0,50,-100" triggerDistance="10" respawnTime="5" maxSpawnedItems="10">
+        <pickup>
+            <InvisiblePickup template=mediuminvisiblepickup />
+        </pickup>
+    </PickupSpawner>
+
+    <PickupSpawner position="25,50,-100" triggerDistance="10" respawnTime="5" maxSpawnedItems="10">
+        <pickup>
+            <InvisiblePickup template=hugeinvisiblepickup />
+        </pickup>
+    </PickupSpawner>
+    
+    <!-- Meta pickups -->
+    
+    <PickupSpawner position="-25,75,-100" triggerDistance="10" respawnTime="5" maxSpawnedItems="10">
+        <pickup>
+            <MetaPickup metaType="use" />
+        </pickup>
+    </PickupSpawner>
+
+    <PickupSpawner position="0,75,-100" triggerDistance="10" respawnTime="5" maxSpawnedItems="10">
+        <pickup>
+            <MetaPickup metaType="drop" />
+        </pickup>
+    </PickupSpawner>
+    
+    <!-- Pickup Collection pickups -->
+    
+    <PickupSpawner position="0,-25,-100" triggerDistance="10" respawnTime="30" maxSpawnedItems="10">
+        <pickup>
+            <PickupCollection template=triplehealthspeedinvisibilitypickup />
+        </pickup>
+    </PickupSpawner>
+    
   </Scene>
 </Level>
Index: code/trunk/data/levels/pickup_pps_invi.oxw
===================================================================
--- code/trunk/data/levels/pickup_pps_invi.oxw	(revision 6711)
+++ code/trunk/data/levels/pickup_pps_invi.oxw	(revision 6712)
@@ -7,5 +7,5 @@
   include("templates/spaceship_assff.oxt")
   include("templates/spaceship_pirate.oxt")
-  include("templates/pickup_representation_templates_invisible.oxt")
+  include("templates/pickup_representation_templates.oxt")
 ?>
 
@@ -20,5 +20,5 @@
 
 <?lua
-  include("includes/pickups_invisible.oxi")
+  include("includes/pickups.oxi")
 ?>
 
Index: code/trunk/data/levels/pickup_ppstest1.oxw
===================================================================
--- code/trunk/data/levels/pickup_ppstest1.oxw	(revision 6711)
+++ code/trunk/data/levels/pickup_ppstest1.oxw	(revision 6712)
@@ -7,5 +7,5 @@
   include("templates/spaceship_assff.oxt")
   include("templates/spaceship_pirate.oxt")
-  include("templates/pickup_representation_templates_speed.oxt")
+  include("templates/pickup_representation_templates.oxt")
 ?>
 
@@ -20,5 +20,5 @@
 
 <?lua
-  include("includes/pickups_speed.oxi")
+  include("includes/pickups.oxi")
 ?>
 
Index: code/trunk/data/levels/templates/pickup_representation_templates.oxt
===================================================================
--- code/trunk/data/levels/templates/pickup_representation_templates.oxt	(revision 6711)
+++ code/trunk/data/levels/templates/pickup_representation_templates.oxt	(revision 6712)
@@ -1,2 +1,5 @@
+
+<!-- Health pickups: -->
+
 <Template name=smallhealthpickupRepresentation>
     <PickupRepresentation>
@@ -99,43 +102,246 @@
 </Template>
 
-<Template name=doublepickup>
+<!-- Meta pickups: -->
+
+<Template name=usepickupRepresentation>
+    <PickupRepresentation>
+        <spawner-representation>
+            <StaticEntity>
+                <attached>
+                    <Billboard position="0,0,0" colour="0.60,0.97,0.23" material="Sphere2" scale=0.1>
+                        <attached>
+                            <Billboard position="0,0,0" colour="0.40,0.81,0.10" material="Arrow" scale=0.65 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+<Template name=droppickupRepresentation>
+    <PickupRepresentation>
+        <spawner-representation>
+            <StaticEntity>
+                <attached>
+                    <Billboard position="0,0,0" colour="0.95,0.10,0.05" material="Sphere2" scale=0.1>
+                        <attached>
+                            <Billboard position="0,0,0" colour="0.95,0.20,0.10" material="Arrow" scale=0.65 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+<!-- Speed pickups -->
+
+<Template name=smallspeedpickupRepresentation>
+    <PickupRepresentation>
+        <spawner-representation>
+            <StaticEntity>
+                <attached>
+                    <Billboard position="0,0,0" colour="0.99,0.96,0.52" material="Sphere2" scale=0.1>
+                        <attached>
+                            <Billboard position="0,0,0" colour="0.98,0.94,0.22" material="3arrowsup" scale=0.3 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+<Template name=smallspeedpickup>
+  <SpeedPickup
+    duration = 10.0
+    speedAdd = 0.0
+    SpeedMultiply = 10.0
+    activationType = "immediate"
+    durationType = "once"
+  />
+</Template>
+
+<Template name=mediumspeedpickupRepresentation>
+    <PickupRepresentation>
+        <spawner-representation>
+            <StaticEntity>
+                <attached>
+                    <Billboard position="0,0,0" colour="0.99,0.96,0.52" material="Sphere2" scale=0.1>
+                        <attached>
+                            <Billboard position="0,0,0" colour="0.98,0.94,0.22" material="3arrowsup" scale=0.5 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+<Template name=mediumspeedpickup>
+  <SpeedPickup
+    duration = 10.0
+    speedAdd = 0.0
+    SpeedMultiply = 25.0
+    activationType = "immediate"
+    durationType = "once"
+  />
+</Template>
+
+<Template name=hugespeedpickupRepresentation>
+    <PickupRepresentation>
+        <spawner-representation>
+            <StaticEntity>
+                <attached>
+                    <Billboard position="0,0,0" colour="0.99,0.96,0.52" material="Sphere2" scale=0.1>
+                        <attached>
+                            <Billboard position="0,0,0" colour="0.98,0.94,0.22" material="3arrowsup" scale=0.7 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+<Template name=hugespeedpickup>
+  <SpeedPickup
+    duration = 10.0
+    speedAdd = 0.0
+    SpeedMultiply = 50.0
+    activationType = "immediate"
+    durationType = "once"
+  />
+</Template>
+
+<Template name=smalljumppickupRepresentation>
+    <PickupRepresentation>
+        <spawner-representation>
+            <StaticEntity>
+                <attached>
+                    <Billboard position="0,0,0" colour="0.99,0.96,0.52" material="Sphere2" scale=0.1>
+                        <attached>
+                            <Billboard position="0,0,0" colour="1,0,0" material="3arrowsup" scale=0.3 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+<Template name=smalljumppickup>
+  <SpeedPickup
+    duration = 0.7
+    speedAdd = 5000.0
+    SpeedMultiply = 1.0
+    activationType = "immediate"
+    durationType = "once"
+  />
+</Template>
+
+<!-- Invisible pickups -->
+
+<Template name=smallinvisiblepickupRepresentation>
+    <PickupRepresentation>
+        <spawner-representation>
+            <StaticEntity>
+                <attached>
+                    <Billboard position="0,0,0" colour="0.22,0.32,0.86" material="Sphere2" scale=0.1>
+                        <attached>
+                            <Billboard position="0,0,0" colour="0.06,0.14,0.63" material="Eye" scale=0.5 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+<Template name=smallinvisiblepickup>
+  <InvisiblePickup 
+    duration = 5.0
+    activaionType = "immediate"
+    durationType = "once"
+  />
+</Template>
+
+<Template name=mediuminvisiblepickupRepresentation>
+    <PickupRepresentation>
+        <spawner-representation>
+            <StaticEntity>
+                <attached>
+                    <Billboard position="0,0,0" colour="0.22,0.32,0.86" material="Sphere2" scale=0.1>
+                        <attached>
+                            <Billboard position="0,0,0" colour="0.06,0.14,0.63" material="Eye" scale=0.7 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+<Template name=mediuminvisiblepickup>
+  <InvisiblePickup 
+    duration = 10.0
+    activaionType = "immediate"
+    durationType = "once"
+  />
+</Template>
+
+<Template name=hugeinvisiblepickupRepresentation>
+    <PickupRepresentation>
+        <spawner-representation>
+            <StaticEntity>
+                <attached>
+                    <Billboard position="0,0,0" colour="0.22,0.32,0.86" material="Sphere2" scale=0.1>
+                        <attached>
+                            <Billboard position="0,0,0" colour="0.06,0.14,0.63" material="Eye" scale=0.9 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+<Template name=hugeinvisiblepickup>
+  <InvisiblePickup 
+    duration = 20.0
+    activaionType = "immediate"
+    durationType = "once"
+  />
+</Template>
+
+<!-- Pickup Collection pickups -->
+
+<Template name=triplehealthspeedinvisibilitypickupRepresentation>
+    <PickupRepresentation>
+        <spawner-representation>
+            <StaticEntity>
+                <attached>
+                    <Billboard position="0,0,0" colour="0.95,0.85,0.27" material="Sphere2" scale=0.1>
+                        <attached>
+                            <Billboard position="0,20,0" colour="0.36,0.81,0.10" material="Cross" scale=0.25 />
+                            <Billboard position="-20,-10,0" colour="0.98,0.94,0.22" material="3arrowsup" scale=0.25 />
+                            <Billboard position="20,-10,0" colour="0.06,0.14,0.63" material="Eye" scale=0.35 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+<Template name=triplehealthspeedinvisibilitypickup>
     <PickupCollection>
         <pickupables>
-            <HealthPickup template=smallhealthpickup />
-            <HealthPickup health=50 healthRate=5 durationType=continuous activationType=immediate healthType=limited />
+            <HealthPickup template=mediumhealthpickup />
+            <SpeedPickup template=mediumspeedpickup />
+            <InvisiblePickup template=mediuminvisiblepickup />
         </pickupables>
     </PickupCollection>
 </Template>
-
-<Template name=usepickupRepresentation>
-    <PickupRepresentation>
-        <spawner-representation>
-            <StaticEntity>
-                <attached>
-                    <Billboard position="0,0,0" colour="0.60,0.97,0.23" material="Sphere2" scale=0.1>
-                        <attached>
-                            <Billboard position="0,0,0" colour="0.40,0.81,0.10" material="Arrow" scale=0.65 />
-                        </attached>
-                    </Billboard>
-                </attached>
-            </StaticEntity>
-        </spawner-representation>
-    </PickupRepresentation>
-</Template>
-
-<Template name=droppickupRepresentation>
-    <PickupRepresentation>
-        <spawner-representation>
-            <StaticEntity>
-                <attached>
-                    <Billboard position="0,0,0" colour="0.95,0.10,0.05" material="Sphere2" scale=0.1>
-                        <attached>
-                            <Billboard position="0,0,0" colour="0.95,0.20,0.10" material="Arrow" scale=0.65 />
-                        </attached>
-                    </Billboard>
-                </attached>
-            </StaticEntity>
-        </spawner-representation>
-    </PickupRepresentation>
-</Template>
     
Index: code/trunk/data/levels/templates/pickup_representation_templates_invisible.oxt
===================================================================
--- code/trunk/data/levels/templates/pickup_representation_templates_invisible.oxt	(revision 6711)
+++ 	(revision )
@@ -1,72 +1,0 @@
-<Template name=smallinvisiblepickupRepresentation>
-    <PickupRepresentation>
-        <spawner-representation>
-            <StaticEntity>
-                <attached>
-                    <Billboard position="0,0,0" colour="0.22,0.32,0.86" material="Sphere2" scale=0.1>
-                        <attached>
-                            <Billboard position="0,0,0" colour="0.06,0.14,0.63" material="Eye" scale=0.5 />
-                        </attached>
-                    </Billboard>
-                </attached>
-            </StaticEntity>
-        </spawner-representation>
-    </PickupRepresentation>
-</Template>
-
-<Template name=smallinvisiblepickup>
-  <InvisiblePickup 
-    duration = 5.0
-    activaionType = "immediate"
-    durationType = "once"
-  />
-</Template>
-
-<Template name=mediuminvisiblepickupRepresentation>
-    <PickupRepresentation>
-        <spawner-representation>
-            <StaticEntity>
-                <attached>
-                    <Billboard position="0,0,0" colour="0.22,0.32,0.86" material="Sphere2" scale=0.1>
-                        <attached>
-                            <Billboard position="0,0,0" colour="0.06,0.14,0.63" material="Eye" scale=0.7 />
-                        </attached>
-                    </Billboard>
-                </attached>
-            </StaticEntity>
-        </spawner-representation>
-    </PickupRepresentation>
-</Template>
-
-<Template name=mediuminvisiblepickup>
-  <InvisiblePickup 
-    duration = 10.0
-    activaionType = "immediate"
-    durationType = "once"
-  />
-</Template>
-
-<Template name=hugeinvisiblepickupRepresentation>
-    <PickupRepresentation>
-        <spawner-representation>
-            <StaticEntity>
-                <attached>
-                    <Billboard position="0,0,0" colour="0.22,0.32,0.86" material="Sphere2" scale=0.1>
-                        <attached>
-                            <Billboard position="0,0,0" colour="0.06,0.14,0.63" material="Eye" scale=0.9 />
-                        </attached>
-                    </Billboard>
-                </attached>
-            </StaticEntity>
-        </spawner-representation>
-    </PickupRepresentation>
-</Template>
-
-<Template name=hugeinvisiblepickup>
-  <InvisiblePickup 
-    duration = 20.0
-    activaionType = "immediate"
-    durationType = "once"
-  />
-</Template>
-
Index: code/trunk/data/levels/templates/pickup_representation_templates_speed.oxt
===================================================================
--- code/trunk/data/levels/templates/pickup_representation_templates_speed.oxt	(revision 6711)
+++ 	(revision )
@@ -1,103 +1,0 @@
-<Template name=smallspeedpickupRepresentation>
-    <PickupRepresentation>
-        <spawner-representation>
-            <StaticEntity>
-                <attached>
-                    <Billboard position="0,0,0" colour="0.99,0.96,0.52" material="Sphere2" scale=0.1>
-                        <attached>
-                            <Billboard position="0,0,0" colour="0.98,0.94,0.22" material="3arrowsup" scale=0.3 />
-                        </attached>
-                    </Billboard>
-                </attached>
-            </StaticEntity>
-        </spawner-representation>
-    </PickupRepresentation>
-</Template>
-
-<Template name=smallspeedpickup>
-  <SpeedPickup
-    duration = 10.0
-    speedAdd = 0.0
-    SpeedMultiply = 10.0
-    activationType = "immediate"
-    durationType = "once"
-  />
-</Template>
-
-<Template name=mediumspeedpickupRepresentation>
-    <PickupRepresentation>
-        <spawner-representation>
-            <StaticEntity>
-                <attached>
-                    <Billboard position="0,0,0" colour="0.99,0.96,0.52" material="Sphere2" scale=0.1>
-                        <attached>
-                            <Billboard position="0,0,0" colour="0.98,0.94,0.22" material="3arrowsup" scale=0.5 />
-                        </attached>
-                    </Billboard>
-                </attached>
-            </StaticEntity>
-        </spawner-representation>
-    </PickupRepresentation>
-</Template>
-
-<Template name=mediumspeedpickup>
-  <SpeedPickup
-    duration = 10.0
-    speedAdd = 0.0
-    SpeedMultiply = 25.0
-    activationType = "immediate"
-    durationType = "once"
-  />
-</Template>
-
-<Template name=hugespeedpickupRepresentation>
-    <PickupRepresentation>
-        <spawner-representation>
-            <StaticEntity>
-                <attached>
-                    <Billboard position="0,0,0" colour="0.99,0.96,0.52" material="Sphere2" scale=0.1>
-                        <attached>
-                            <Billboard position="0,0,0" colour="0.98,0.94,0.22" material="3arrowsup" scale=0.7 />
-                        </attached>
-                    </Billboard>
-                </attached>
-            </StaticEntity>
-        </spawner-representation>
-    </PickupRepresentation>
-</Template>
-
-<Template name=hugespeedpickup>
-  <SpeedPickup
-    duration = 10.0
-    speedAdd = 0.0
-    SpeedMultiply = 50.0
-    activationType = "immediate"
-    durationType = "once"
-  />
-</Template>
-
-<Template name=smalljumppickupRepresentation>
-    <PickupRepresentation>
-        <spawner-representation>
-            <StaticEntity>
-                <attached>
-                    <Billboard position="0,0,0" colour="0.99,0.96,0.52" material="Sphere2" scale=0.1>
-                        <attached>
-                            <Billboard position="0,0,0" colour="1,0,0" material="3arrowsup" scale=0.3 />
-                        </attached>
-                    </Billboard>
-                </attached>
-            </StaticEntity>
-        </spawner-representation>
-    </PickupRepresentation>
-</Template>
-
-<Template name=smalljumppickup>
-  <SpeedPickup
-    duration = 0.7
-    speedAdd = 5000.0
-    SpeedMultiply = 1.0
-    activationType = "immediate"
-    durationType = "once"
-  />
-</Template>